# FFmpegKit Linux API: ffmpegkit::Chapter Class Reference

ffmpegkit::Chapter Class Reference

`#include <Chapter.h>`

## Public Member Functions

| Chapter (std::shared_ptr< rapidjson::Value > chapterValue)
std::shared_ptr< int64_t > | getId ()
std::shared_ptr< std::string > | getTimeBase ()
std::shared_ptr< int64_t > | getStart ()
std::shared_ptr< std::string > | getStartTime ()
std::shared_ptr< int64_t > | getEnd ()
std::shared_ptr< std::string > | getEndTime ()
std::shared_ptr< rapidjson::Value > | getTags ()
std::shared_ptr< std::string > | getStringProperty (const char *key)
std::shared_ptr< int64_t > | getNumberProperty (const char *key)
std::shared_ptr< rapidjson::Value > | getProperty (const char *key)
std::shared_ptr< rapidjson::Value > | getAllProperties ()

## Static Public Attributes

static constexpr const char * | KeyId = "id"
static constexpr const char * | KeyTimeBase = "time_base"
static constexpr const char * | KeyStart = "start"
static constexpr const char * | KeyStartTime = "start_time"
static constexpr const char * | KeyEnd = "end"
static constexpr const char * | KeyEndTime = "end_time"
static constexpr const char * | KeyTags = "tags"

## Private Attributes

std::shared_ptr< rapidjson::Value > | _chapterValue

## Detailed Description

Chapter class.

Definition at line 35 of file Chapter.h.

## Constructor & Destructor Documentation

## Chapter()

ffmpegkit::Chapter::Chapter | ( | std::shared_ptr< rapidjson::Value > | chapterValue | ) |

Definition at line 22 of file Chapter.cpp.

## Member Function Documentation

## getAllProperties()

std::shared_ptr< rapidjson::Value > ffmpegkit::Chapter::getAllProperties | ( |  | ) |

Returns all chapter properties defined.

Returns
  all chapter properties in a Value or nullptr if no properties are defined

Definition at line 79 of file Chapter.cpp.

## getEnd()

std::shared_ptr< int64_t > ffmpegkit::Chapter::getEnd | ( |  | ) |

Definition at line 41 of file Chapter.cpp.

## getEndTime()

std::shared_ptr< std::string > ffmpegkit::Chapter::getEndTime | ( |  | ) |

Definition at line 45 of file Chapter.cpp.

## getId()

std::shared_ptr< int64_t > ffmpegkit::Chapter::getId | ( |  | ) |

Definition at line 25 of file Chapter.cpp.

## getNumberProperty()

std::shared_ptr< int64_t > ffmpegkit::Chapter::getNumberProperty | ( | const char * | key | ) |

Returns the chapter property associated with the key.

Returns
  chapter property as number or nullptr if the key is not found

Definition at line 61 of file Chapter.cpp.

## getProperty()

std::shared_ptr< rapidjson::Value > ffmpegkit::Chapter::getProperty | ( | const char * | key | ) |

Returns the chapter property associated with the key.

Returns
  chapter property in a Value or nullptr if the key is not found

Definition at line 69 of file Chapter.cpp.

## getStart()

std::shared_ptr< int64_t > ffmpegkit::Chapter::getStart | ( |  | ) |

Definition at line 33 of file Chapter.cpp.

## getStartTime()

std::shared_ptr< std::string > ffmpegkit::Chapter::getStartTime | ( |  | ) |

Definition at line 37 of file Chapter.cpp.

## getStringProperty()

std::shared_ptr< std::string > ffmpegkit::Chapter::getStringProperty | ( | const char * | key | ) |

Returns the chapter property associated with the key.

Returns
  chapter property as string or nullptr if the key is not found

Definition at line 53 of file Chapter.cpp.

## getTags()

std::shared_ptr< rapidjson::Value > ffmpegkit::Chapter::getTags | ( |  | ) |

Definition at line 49 of file Chapter.cpp.

## getTimeBase()

std::shared_ptr< std::string > ffmpegkit::Chapter::getTimeBase | ( |  | ) |

Definition at line 29 of file Chapter.cpp.

## Field Documentation

## _chapterValue

std::shared_ptr<rapidjson::Value> ffmpegkit::Chapter::_chapterValue

private

Definition at line 90 of file Chapter.h.

## KeyEnd

constexpr const char* ffmpegkit::Chapter::KeyEnd = "end"

staticconstexpr

Definition at line 41 of file Chapter.h.

## KeyEndTime

constexpr const char* ffmpegkit::Chapter::KeyEndTime = "end_time"

staticconstexpr

Definition at line 42 of file Chapter.h.

## KeyId

constexpr const char* ffmpegkit::Chapter::KeyId = "id"

staticconstexpr

Definition at line 37 of file Chapter.h.

## KeyStart

constexpr const char* ffmpegkit::Chapter::KeyStart = "start"

staticconstexpr

Definition at line 39 of file Chapter.h.

## KeyStartTime

constexpr const char* ffmpegkit::Chapter::KeyStartTime = "start_time"

staticconstexpr

Definition at line 40 of file Chapter.h.

## KeyTags

constexpr const char* ffmpegkit::Chapter::KeyTags = "tags"

staticconstexpr

Definition at line 43 of file Chapter.h.

## KeyTimeBase

constexpr const char* ffmpegkit::Chapter::KeyTimeBase = "time_base"

staticconstexpr

Definition at line 38 of file Chapter.h.

The documentation for this class was generated from the following files:

- Chapter.h
- Chapter.cpp